import Taro, { useLoad } from '@tarojs/taro'
import { useState } from 'react'
import { getTopSafeHeight } from '@/hooks/useGetCustomClient'
import { View } from '@tarojs/components'
import './index.less'

function CustomPage() {
  const [isCustom, setIsCustom] = useState(false)
  useLoad(() => {
    const spaceHeight = getTopSafeHeight()
    const { screenHeight, windowHeight } = Taro.getSystemInfoSync()
    setIsCustom(spaceHeight + windowHeight > screenHeight)

  })

  return (
    <View>
      {isCustom && <View>isCustom</View>}

      CustomPage
    </View>
  )
}

export default CustomPage
